> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sources

> List all the sources in the current workspace



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /sources
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /sources:
    get:
      summary: List Sources
      description: List all the sources in the current workspace
      operationId: ListSource
      parameters:
        - description: filter based on name
          in: query
          name: name
          required: false
          schema:
            type: string
        - description: filter based on slug
          in: query
          name: slug
          required: false
          schema:
            type: string
        - description: set the offset on results (for pagination)
          in: query
          name: offset
          required: false
          schema:
            default: 0
            format: double
            type: number
        - description: limit the number of objects returned (default is 100)
          in: query
          name: limit
          required: false
          schema:
            default: 100
            format: double
            type: number
        - description: specify the order
          in: query
          name: orderBy
          required: false
          schema:
            default: id
            type: string
            enum:
              - id
              - name
              - slug
              - createdAt
              - updatedAt
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/Source'
                    type: array
                required:
                  - data
                type: object
              examples:
                Example 1:
                  value:
                    data:
                      - id: 1
                        name: testSource1
                        slug: testSource1
                        workspaceId: 1
                        createdAt: '2022-02-16T21:37:58.510Z'
                        updatedAt: '2022-02-16T21:37:58.510Z'
                        type: snowflake
                        configuration:
                          hostname: foo
                          region: bar
                      - id: 2
                        name: testSource2
                        slug: testSource2
                        workspaceId: 1
                        createdAt: '2022-02-16T21:37:58.510Z'
                        updatedAt: '2022-02-16T21:37:58.510Z'
                        type: googlesheet
                        configuration:
                          hostname: foo
                          region: bar
                    hasMore: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
        - bearerAuth: []
components:
  schemas:
    Source:
      description: >-
        The database or warehouse where your data is stored. The starting point
        for

        a Hightouch data pipeline.
      properties:
        id:
          type: number
          format: double
          description: The source's id
        name:
          type: string
          description: The source's name
        slug:
          type: string
          description: The source's slug
        workspaceId:
          type: number
          format: double
          description: The id of the workspace that the source belongs to
        createdAt:
          type: string
          format: date-time
          description: The timestamp when the source was created
        updatedAt:
          type: string
          format: date-time
          description: The timestamp when the source was last updated
        configuration:
          properties: {}
          additionalProperties: {}
          type: object
          description: >-
            The source's configuration. This specifies general metadata about
            sources, like connection details

            Hightouch will use this configuration to connect to underlying
            source.


            The schema depends on the source type.


            Consumers should NOT make assumptions on the contents of the

            configuration. It may change as Hightouch updates its internal code.
        type:
          type: string
          description: The source's type (e.g. snowflake or postgres).
      required:
        - id
        - name
        - slug
        - workspaceId
        - createdAt
        - updatedAt
        - configuration
        - type
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````